<?php
$data = json_decode(file_get_contents('php://input'), true);

if ($data['id'] && $data['lat']) {
    $arquivo = "db/rotas/rota_" . $data['id'] . ".json";
    
    $posicao = [
        "lat" => $data['lat'],
        "lng" => $data['lng'],
        "ultima_atualizacao" => date("H:i:s")
    ];

    file_put_contents($arquivo, json_encode($posicao));
    echo "Localização atualizada.";
}
?>